## keystone 11.0.3

=== debian/changelog ===
keystone (2:11.0.3-2) unstable; urgency=medium

  * Fix patches after merge from another repository

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 09 Jul 2018 13:57:12 +0200

keystone (2:11.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 04 Nov  2017 12:58:32 +0200

keystone (2:10.0.0~b2-2) UNRELEASED; urgency=medium

  * CVE-2017-2673 (OSSA-2017-004): Incorrect role assignment with federated
    Keystone. Applied upstream patch: Do not fetch group assignments without
    groups (Closes: #861189).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Apr 2017 22:29:13 +0200

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-apparmor,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     python-babel (>= 2.3.4),
                     python-bashate,
                     python-coverage,
                     python-freezegun,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.6.2),
                     python-fixtures (>= 3.0.0),
                     python-freezegun,
                     python-hacking,
                     python-jsonschema,
                     python-keystoneclient (>= 3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-ldap,
                     python-ldappool,
                     python-lxml,
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.10.0),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-oauthlib,
                     python-os-testr (>= 0.8.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.5.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-pam,
                     python-passlib (>= 1.7.0),
                     python-paste,
                     python-pastedeploy,
                     python-pep8,
                     python-pycadf (>= 1.1.0),
                     python-pymongo (>= 3.0.1),
                     python-pysaml2 (>= 3.0.0),
                     python-pysqlite2,
                     python-requests (>= 2.10.0),
                     python-routes (>> 2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-keystone?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-keystone -b debian/newton

Package: python-keystone
Architecture: all
Section: python
Breaks: keystone (<< 10.0.0~),
Replaces: keystone (<< 10.0.0~),
Depends: python-babel (>= 2.3.4),
         python-crypto,
         python-cryptography (>= 1.0),
         python-dateutil,
         python-dogpile.cache (>= 0.6.2),
         python-jsonschema,
         python-keystoneclient (>= 3.8.0),
         python-keystonemiddleware (>= 4.12.0),
         python-ldap,
         python-ldappool,
         python-lxml,
         python-memcache (>= 1.56),
         python-migrate (>= 0.10.0),
         python-msgpack,
         python-mysqldb,
         python-oauthlib,
         python-openstackclient (>= 1.6.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.5.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.18.0),
         python-osprofiler (>= 1.4.0),
         python-pam,
         python-passlib (>= 1.7.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 3.0.0),
         python-pysqlite2,
         python-routes (>> 2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Depends: adduser,
         apache2,
         dbconfig-common,
         init-system-helpers (>= 1.22~),
         libapache2-mod-wsgi,
         python-keystone (= ${source:Version}),
         q-text-as-data,
         sqlite3,
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: apparmor,
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

# This is to avoid git clone of keystoneclient when running unit tests.
# See https://review.openstack.org/122768/
export KSCTEST_PATH=/usr/lib/python2.7/dist-packages/keystoneclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	mkdir -p $(CURDIR)/keystone/tests/tmp
	patch -p1 -R <debian/patches/fixes-default-connection.patch
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'keystone\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	patch -p1 <debian/patches/fixes-default-connection.patch
endif



override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install --fail-missing
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	mkdir -p $(CURDIR)/debian/keystone/usr/share/keystone
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf \
		--wrap-width 79 \
		--namespace keystone \
		--namespace keystone.notifications \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace osprofiler
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf catalog template_file /etc/keystone/default_catalog.templates
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_dir /var/log/keystone
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_file keystone.log

	#install -D -m 0644 httpd/keystone.py $(CURDIR)/debian/python-keystone/usr/share/keystone/wsgi.py
	dh_python2 /usr/share/keystone

	install -D -m 0644 debian/keystone.apparmor $(CURDIR)/debian/keystone/etc/apparmor.d/usr.bin.keystone-all
	dh_apparmor --profile-name=usr.bin.keystone-all

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode $(CURDIR)/doc/source/api
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	rm -f $(CURDIR)/debian/keystone.config $(CURDIR)/debian/keystone.postinst
	find $(CURDIR)/keystone/tests -name '*.db' -delete
	rm -rf $(CURDIR)/vendor
	rm -f $(CURDIR)/debian/tests/testing.db
	rm -f $(CURDIR)/debian/keystone.keystone*.init $(CURDIR)/debian/keystone.keystone*.service $(CURDIR)/debian/keystone.keystone*.upstart
	rm -rf .testrepository
	rm -f ChangeLog
	rm -f AUTHORS
	dh_clean

#override_dh_installmenu:
#	dh_installinit --name=keystone-admin
#	dh_installinit --name=keystone-public

## keystone 11.0.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Temporarily add Babel reference to avoid problem
# in keystone-coverage-db CI job
Babel>=2.3.4 # BSD

pbr>=1.8 # Apache-2.0
WebOb>=1.6.0 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
passlib>=1.7.0 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oauthlib>=0.6 # BSD
pysaml2<4.0.3,>=2.4.0 # Apache-2.0
dogpile.cache>=0.6.2 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
keystone (2:11.0.4-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1795428).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 21:24:40 -0400

keystone (2:11.0.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 Sep 2017 14:16:20 +0000

keystone (2:11.0.3-0ubuntu1) zesty; urgency=medium

  * d/p/*: Rebased.
  * New upstream version.
  * d/p/0001-Make-flushing-tokens-more-robust.patch: Dropped. Fixed upstream.
  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:41:56 -0400

keystone (2:11.0.2-0ubuntu1) zesty; urgency=medium

  [ Jorge Niedbalski ]
  * d/p/0001-Make-flushing-tokens-more-robust.patch: Commit token flushes
    between batches in order to lower resource consumption and
    make flushing more robust for replication (LP: #1649616).

  [ James Page ]
  * New upstream stable release for OpenStack Ocata (LP: #1696139).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:01:45 +0100

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.6.2),
                     python-fixtures (>= 3.0.0),
                     python-freezegun (>= 0.3.6),
                     python-hacking (>= 0.10.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-ldap,
                     python-ldappool,
                     python-memcache,
                     python-pymongo,
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-msgpack (>= 0.4.0),
                     python-oauthlib (>= 0.6),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-passlib (>= 1.7.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-pycadf (>= 1.1.0),
                     python-pymysql,
                     python-pysaml2 (>= 2.4.0),
                     python-requests (>= 2.10.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-cryptography (>= 1.0),
         python-dogpile.cache (>= 0.6.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-oauthlib (>= 0.6),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-osprofiler (>= 1.4.0),
         python-passlib (>= 1.7.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 2.4.0),
         python-routes (>= 2.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ldappool (>= 2.0.0),
          python-memcache,
          python-pyldap (>= 2.4.20),
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi,
         python-keystone (= ${source:Version}),
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)
SHELL := /bin/sh -e

include /usr/share/openstack-pkg-tools/pkgos.make

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

%:
	dh $@ --with apache2,python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	patch -p1 -R < debian/patches/sql_connection.patch
	mkdir -p $(CURDIR)/keystone/tests/tmp
	ostestr
	patch -p1 < debian/patches/sql_connection.patch
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	dh_install --fail-missing -Xusr/etc
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/etc/logging.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf
	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/tests/tmp
	rm -rf $(CURDIR)/.testrepository
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## keystone 12.0.0

=== debian/changelog ===
keystone (2:12.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:29:33 -0400

keystone (2:12.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/keystone.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 11:21:44 -0400

keystone (2:12.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:19:48 -0400

keystone (2:12.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 17:08:28 -0400

keystone (2:12.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:38 -0400

keystone (2:12.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/update-babel-requirement.txt: Allow Babel==2.4.0. The patch that
    allows both dash and underscore separated locale identifiers in
    profiles has been cherry-picked to the 2.4.0 package version in
    Ubuntu, therefore it no longer needs to be blacklisted.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 15:17:44 -0400

keystone (2:12.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Bump minimum migration version to 0.11.0.
  * d/rules,control,keystone.conf.dist: Refactor defaults management
    to use crudini.
  * d/control: Add bcrypt and scrypt dependencies.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:07:59 +0100

keystone (2:12.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:06:01 +0100

keystone (2:12.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Corey Bryant ]
  * d/keystone.conf: Fix typo in combined log format (LP: #1671509).

  [ Chuck Short ]
  * d/rules: Cleanup a bit:
    + Remove deprectated get-orig-source.
    + Remove patching configuration files while running tests.
    + Use pkgos-fix-config-default to configure keystone.conf
  * d/patches/sql-connection.patch: Dropped no longer needed.
  * d/patches/ubuntu-test-overrides.patch: Dropped no longer needed.
  * d/patches/default-log-dir.patch: Dropped no longer needed.
  * d/patches/add-version-info.patch: Refreshed.

  [ James Page ]
  * Align (Build-)Depends with upstream milestone.
  * d/rules,keystone.install: Generate and install default policy.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 11:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
                dh-systemd,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
-Build-Depends-Indep: python-babel (>= 2.3.4),
+               python-sphinx (>= 1.5.1),
+Build-Depends-Indep: crudini,
+                     python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
+                     python-bcrypt (>= 3.1.3),
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-dogpile.cache (>= 0.6.2),
                      python-fixtures (>= 3.0.0),
                      python-freezegun (>= 0.3.6),
@@ -26,28 +28,27 @@
                      python-keystonemiddleware (>= 4.12.0),
                      python-ldap,
                      python-ldappool,
+                     python-lxml (>= 2.3),
                      python-memcache,
-                     python-pymongo,
-                     python-lxml (>= 2.3),
-                     python-migrate (>= 0.9.6),
+                     python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-msgpack (>= 0.4.0),
                      python-oauthlib (>= 0.6),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-api-ref (>= 1.0.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-passlib (>= 1.7.0),
@@ -55,20 +56,23 @@
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-pycadf (>= 1.1.0),
+                     python-pymongo,
                      python-pymysql,
                      python-pysaml2 (>= 2.4.0),
-                     python-requests (>= 2.10.0),
-                     python-routes (>= 1.12.3),
+                     python-requests (>= 2.14.2),
+                     python-routes (>= 2.3.1),
+                     python-scrypt (>= 0.8.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources,
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-tz (>= 2013.6),
+                     python-webob (>= 1.7.1),
                      python-webtest (>= 2.0),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
@@ -79,41 +83,44 @@
 Architecture: all
 Section: python
 Depends: python-babel (>= 2.3.4),
-         python-cryptography (>= 1.0),
+         python-bcrypt (>= 3.1.3),
+         python-cryptography (>= 1.6),
          python-dogpile.cache (>= 0.6.2),
          python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
-         python-migrate (>= 0.9.6),
+         python-migrate (>= 0.11.0),
          python-msgpack (>= 0.4.0),
          python-oauthlib (>= 0.6),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-osprofiler (>= 1.4.0),
          python-passlib (>= 1.7.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-pycadf (>= 1.1.0),
          python-pymysql,
          python-pysaml2 (>= 2.4.0),
-         python-routes (>= 2.2),
+         python-routes (>= 2.3.1),
+         python-scrypt (>= 0.8.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
-         python-webob (>= 1.6.0),
+         python-stevedore (>= 1.20.0),
+         python-tz (>= 2013.6),
+         python-webob (>= 1.7.1),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Suggests: python-ldappool (>= 2.0.0),
           python-memcache,
           python-pyldap (>= 2.4.20),
@@ -140,7 +147,7 @@
          python-keystone (= ${source:Version}),
          ssl-cert (>= 1.0.12),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Recommends: ${misc:Recommends},
 Description: OpenStack identity service - Daemons
  Keystone is a proposed independent authentication service for OpenStack.

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,15 @@
 
 # auth_token middleware now requires access to HOME, otherwise
 # test suite cause FTBFS.  See (LP: #1031022)
-export HOME="$(CURDIR)/debian/tests/"
+#export HOME="$(CURDIR)/debian/tests/"
 
 %:
 	dh $@ --with apache2,python2,systemd
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	patch -p1 -R < debian/patches/sql_connection.patch
 	mkdir -p $(CURDIR)/keystone/tests/tmp
 	ostestr
-	patch -p1 < debian/patches/sql_connection.patch
 endif
 
 override_dh_auto_build:
@@ -35,13 +33,13 @@
 endif
 
 override_dh_install:
-	dh_install --fail-missing -Xusr/etc
-	rm -rf debian/python-keystone/usr/lib/python*/*/doc
-	rm -rf debian/python-keystone/usr/lib/python*/*/tools
-	rm -rf debian/python-keystone/usr/lib/python*/*/examples
+	dh_install --fail-missing
 	install -D -m 0600 $(CURDIR)/etc/logging.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/logging.conf
-	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf
-	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf
+	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf \
+		--output-file=$(CURDIR)/debian/keystone/etc/keystone/keystone.conf
+	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=config-generator/keystone-policy-generator.conf \
+		--output-file=$(CURDIR)/debian/keystone/etc/keystone/keystone.policy.yaml
+	crudini --merge $(CURDIR)/debian/keystone/etc/keystone/keystone.conf < $(CURDIR)/debian/keystone.conf.dist
 
 override_dh_clean:
 	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
@@ -59,6 +57,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf .eggs .testrepository
-
-get-orig-source:
-	uscan --verbose --force-download --rename --destdir=../build-area

## keystone 12.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Temporarily add Babel reference to avoid problem
# in keystone-coverage-db CI job
Babel!=2.4.0,>=2.3.4 # BSD

pbr!=2.1.0,>=2.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
Routes>=2.3.1 # MIT
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
passlib>=1.7.0 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
bcrypt>=3.1.3 # Apache-2.0
scrypt>=0.8.0 # BSD
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oauthlib>=0.6 # BSD
pysaml2<4.0.3,>=2.4.0 # Apache-2.0
dogpile.cache>=0.6.2 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
pytz>=2013.6 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# required to build documentation
flake8-docstrings==0.2.1.post1 # MIT
openstackdocstheme>=1.16.0 # Apache-2.0
sphinx>=1.6.2 # BSD
reno>=1.8.0,!=2.3.1 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
os-api-ref>=1.0.0 # Apache-2.0
testtools>=1.4.0 # MIT
WebTest>=2.0 # MIT
mock>=2.0 # BSD
freezegun>=0.3.6 # Apache-2.0
oslotest>=1.10.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
lxml>=2.3,!=3.7.0 # BSD
pyldap>=2.4.20 # PSF
ldappool>=2.0.0 # MPL
testresources>=0.2.4  # Apache-2.0/BSD
testscenarios>=0.4.0

=== debian/changelog ===
keystone (2:12.0.2-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:08:30 -0500

keystone (2:12.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1795427).
  * d/rules: Set PYTHONPATH=$(CURDIR) for unit test execution. Otherwise
    the newly added test_policy_generator_from_command_line fails because
    oslopolicy-policy-generator can't find the keystone namespace.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Oct 2018 08:45:15 -0400

keystone (2:12.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 14:16:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	ostestr
+	PYTHONPATH=$(CURDIR) ostestr
 endif
 
 override_dh_auto_build:

## keystone 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Temporarily add Babel reference to avoid problem
# in keystone-coverage-db CI job
Babel!=2.4.0,>=2.3.4 # BSD

pbr!=2.1.0,>=2.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
Routes>=2.3.1 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
passlib>=1.7.0 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
bcrypt>=3.1.3 # Apache-2.0
scrypt>=0.8.0 # BSD
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oauthlib>=0.6.0 # BSD
pysaml2<4.0.3,>=4.0.2 # Apache-2.0
dogpile.cache>=0.6.2 # BSD
jsonschema<3.0.0,>=2.6.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack>=0.4.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
pytz>=2013.6 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# required to build documentation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
os-api-ref>=1.4.0 # Apache-2.0
testtools>=2.2.0 # MIT
WebTest>=2.0.27 # MIT
mock>=2.0.0 # BSD
freezegun>=0.3.6 # Apache-2.0
flake8-docstrings==0.2.1.post1 # MIT
oslotest>=3.2.0 # Apache-2.0
oslo.db[fixtures,mysql,postgresql]>=4.27.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
pyldap>=2.4.20 # PSF
ldappool>=2.0.0 # MPL

=== debian/changelog ===
keystone (2:13.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:24:54 -0500

keystone (2:13.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Feb 2018 16:07:25 -0500

keystone (2:13.0.0~rc1-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/keystone.conf: Drop admin port (35357) from site config as ports 35357
    and 5000 lead to the same authentication code path with keystone v3.

  [ James Page ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/p/*: Refresh.
  * d/p/msgpack-python-compat.patch,drop-msgpack-from-requirements.patch:
    Revert to use of msgpack-python module name until transition to
    msgpack is underway.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 10:11:45 +0000

keystone (2:13.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-msgpack-from-requirements.patch: Added patch to prevent
    pkg_resources.DistributionNotFound error.
  * d/rules: Set PYTHONPATH to pick up keystone modules when running tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:53:46 -0500

keystone (2:13.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:08:31 +0000

keystone (2:13.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer needed.
  * d/keystone.install: Install files from python data_files locations.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 08:26:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	PYTHONPATH=$(CURDIR) ostestr
+	stestr init
+	PYTHONPATH=$(CURDIR) stestr run
 endif
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/keystone keystone-(13\.\d.*)\.tar\.gz

## keystone 13.0.2

=== debian/changelog ===
keystone (2:13.0.2-0ubuntu3) bionic; urgency=medium

  * d/p/0002-fixing-dn-to-id.patch: Dropped. This patch shouldn't have
    been backported to stable/queens (LP: #1850634).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Oct 2019 08:55:58 -0400

keystone (2:13.0.2-0ubuntu2) bionic; urgency=medium

  * d/p/000*-fixing-dn-to-id.patch: Fix LDAP backend's dn_to_id function
    for cases were id is not in the DN (LP: #1782922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 11:21:54 +0200

keystone (2:13.0.2-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:16:03 -0500

keystone (2:13.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1795424).
  * d/p/msgpack-python-compat.patch: Dropped as package has since been renamed
    to python-msgpack instead of msgpack-python.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 11:39:45 -0400
